Bug 21706 - yesstr and nostr are missing for Breton [LC_MESSAGES] locale
Summary: yesstr and nostr are missing for Breton [LC_MESSAGES] locale
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: 2.26
: P2 normal
Target Milestone: 2.27
Assignee: Mike FABIAN
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-04 05:25 UTC by Akhilesh Kumar
Modified: 2017-11-21 06:26 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed: 2017-10-26 00:00:00
fweimer: security-


Attachments
fix nostr for "br" (680 bytes, patch)
2017-10-26 09:59 UTC, thierry.vignaud
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Akhilesh Kumar 2017-07-04 05:25:01 UTC
Hi 

During Locale verification i observed that 
yesstr and nostr  are missing for Breton [LC_MESSAGES] locale

Thanks 
Akhilesh
Comment 1 Akhilesh Kumar 2017-07-04 05:29:41 UTC
Hello 
i sent bug fix path for the same 
https://sourceware.org/ml/libc-alpha/2017-07/msg00041.html
Comment 2 cvs-commit@gcc.gnu.org 2017-07-04 16:05:02 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  cc31b141f95410ee786bec09e2de8e4af4d112d0 (commit)
      from  d2e04918833d90bae7fe5410bb70a045bbd2b64d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=cc31b141f95410ee786bec09e2de8e4af4d112d0

commit cc31b141f95410ee786bec09e2de8e4af4d112d0
Author: Akhilesh Kumar <akhilesh.k@samsung.com>
Date:   Tue Jul 4 10:54:08 2017 +0530

    For Breton yesstr/nostr locale are missing
    
    [BZ #21706]
    During Locale verification i observed that
    yesstr and nostr  are missing for Breton [LC_MESSAGES] locale
    
    Signed-off-by: Akhilesh Kumar <akhilesh.k@samsung.com>

-----------------------------------------------------------------------

Summary of changes:
 localedata/ChangeLog     |    5 +++++
 localedata/locales/br_FR |    2 ++
 2 files changed, 7 insertions(+), 0 deletions(-)
Comment 3 Akhilesh Kumar 2017-07-08 15:30:01 UTC
Pls change status to RESOLVED
Comment 4 Mike FABIAN 2017-07-08 15:35:16 UTC
Fixed.
Comment 5 thierry.vignaud 2017-10-26 09:59:19 UTC
This is wrong (but I don't have the rights to reopen this bug).
See my attached patch for explanations.
Comment 6 thierry.vignaud 2017-10-26 09:59:39 UTC
Created attachment 10557 [details]
fix nostr for "br"
Comment 7 Mike FABIAN 2017-10-26 12:49:12 UTC
(In reply to thierry.vignaud from comment #5)
> This is wrong (but I don't have the rights to reopen this bug).
> See my attached patch for explanations.

REOPEN.
Comment 8 Mike FABIAN 2017-10-26 13:20:20 UTC
CLDR seems to have incomplete/wrong data as well for yesstr and nostr
for Breton. I just created this report:

https://unicode.org/cldr/trac/ticket/10734
Comment 9 cvs-commit@gcc.gnu.org 2017-10-26 13:25:25 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  67ad7163bbfa25d901eae2dcc442cab55c37cf7e (commit)
       via  408dff7ee52d61229740c18ac1e9ca8c522bcf6c (commit)
      from  02eec681676c5aabf2eb13b92b1124245d19112f (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=67ad7163bbfa25d901eae2dcc442cab55c37cf7e

commit 67ad7163bbfa25d901eae2dcc442cab55c37cf7e
Author: Thierry Vignaud <thierry.vignaud@gmail.com>
Date:   Thu Oct 26 12:00:15 2017 +0200

    add myself as contact for "br" locale
    
    Pablo was l10n/i18n coordinator back in the old days but MandrakeSoft is
    dead now
    
    	* localedata/locales/br_FR (LC_IDENTIFICATON): Add
    	Thierry Vignaud <thierry.vignaud@gmail.com> as the contact
    	for the br_FR locale.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=408dff7ee52d61229740c18ac1e9ca8c522bcf6c

commit 408dff7ee52d61229740c18ac1e9ca8c522bcf6c
Author: Thierry Vignaud <thierry.vignaud@gmail.com>
Date:   Wed Oct 25 22:12:31 2017 +0200

    fix nostr for "br" [BZ #21706]
    
    "Ket" is the the most used negative answer, as it's the negative answer
    to a positively phrased question
    It's used as it or with the verb ("Ne ran ket", ...)
    As such, "Ket" is used in most translations.
    "Nann" is less used as it's the negative answer to a negatively phrased
    question
    
    See https://en.wikipedia.org/wiki/Yes_and_no for explanations about
    languages with 3 or 4 form systems.
    
    We still keep "Nn" for short answers as:
    - new learners are used to "Non" in french
    - and they often misuses "Nann"
    - for compatibility with english
    
    	[BZ #21706]
    	* localedata/locales/br_FR (LC_MESSAGES): Fix nostr.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                |   11 +++++++++++
 localedata/locales/br_FR |    8 ++++----
 2 files changed, 15 insertions(+), 4 deletions(-)
Comment 10 thierry.vignaud 2017-10-26 13:29:51 UTC
(In reply to Mike FABIAN from comment #8)
> CLDR seems to have incomplete/wrong data as well for yesstr and nostr
> for Breton. I just created this report:
> 
> https://unicode.org/cldr/trac/ticket/10734

I suspect a non native speaker has used a very basic dictionary that doesn't provide context for the alternatives :-)
A more evolved dictionary is clearer:
eg: https://abp.bzh/dico.cgi?dico=francais&key=non&buton=Traduire

Sadly that's a common mistake for new learners... :-(
That's life.
Comment 11 cvs-commit@gcc.gnu.org 2017-10-27 09:25:52 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  a4cc02c7413af4826fe8d13b6250c3fc47f15699 (commit)
       via  1e5971ec1452784d6cb59539442d92b7020378d5 (commit)
       via  bc5fc7de2115847d9ed312a41713c6a4c724f3dd (commit)
      from  ecc7da5bb897f17ef470fc928ab2b7132e3fa069 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a4cc02c7413af4826fe8d13b6250c3fc47f15699

commit a4cc02c7413af4826fe8d13b6250c3fc47f15699
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Oct 27 10:55:44 2017 +0200

    tt_RU locale: make yesstr and nostr agree with CLDR by starting with lower case letters
    
    	* localedata/locales/tt_RU (LC_MESSAGES): Start yesstr and nostr
    	with lowercase letters to make it agree with CLDR.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1e5971ec1452784d6cb59539442d92b7020378d5

commit 1e5971ec1452784d6cb59539442d92b7020378d5
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Oct 27 10:53:35 2017 +0200

    Fix all remaining issues of [BZ #15260]
    
    	[BZ #15260]
    	* localedata/locales/doi_IN (LC_MESSAGES): Match only for the
    	first letters of yesstr and nostr in yesexpr and noexpr,
    	not for the full words.
    	* localedata/locales/hne_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/kok_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/mr_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/sat_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/km_KH (LC_MESSAGES): Match also for the
    	first letters of yesstr and nostr in yesexpr and noexpr,
    	until now only English was matched in yesexpr and noexpr.
    	* localedata/locales/tl_PH (LC_MESSAGES): Use “copy "fil_PH"”
    	instead of “copy "en_US"”. CLDR has yesstr and nostr data for
    	fil but not for tl. As tl and fil are very similar, using fil
    	is probably better than using English.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=bc5fc7de2115847d9ed312a41713c6a4c724f3dd

commit bc5fc7de2115847d9ed312a41713c6a4c724f3dd
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Oct 27 09:38:00 2017 +0200

    br_FR locale: Use all lowercase in yesstr and nostr.
    
    	[BZ #21706]
    	* localedata/locales/br_FR (LC_MESSAGES): Use all lowercase
    	in yesstr and nostr.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                 |   29 +++++++++++++++++++++++++++++
 localedata/locales/br_FR  |    4 ++--
 localedata/locales/doi_IN |    4 ++--
 localedata/locales/hne_IN |    4 ++--
 localedata/locales/km_KH  |    4 ++--
 localedata/locales/kok_IN |    4 ++--
 localedata/locales/mr_IN  |    4 ++--
 localedata/locales/sat_IN |    4 ++--
 localedata/locales/tl_PH  |    2 +-
 localedata/locales/tt_RU  |    4 ++--
 10 files changed, 46 insertions(+), 17 deletions(-)
Comment 12 Mike FABIAN 2017-11-21 06:26:39 UTC
Fixed in glibc master.